﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WG_ScrollToColumn
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();

            for (int i = 0; i < 55; i++)
            {
                dt.Columns.Add("Column " + i, typeof(string));
            }

            dt.Rows.Add();

            ultraGrid1.DataSource = dt;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.UseFixedHeaders = true;
            e.Layout.Bands[0].Columns[0].Header.Fixed = true;
            e.Layout.Bands[0].Columns[1].Header.Fixed = true;

            // Since we have 4 scrolling columns, in order to make the 41st column the first visible column, we need to scroll to 45th column.
            e.Layout.Grid.ActiveColScrollRegion.ScrollColIntoView(e.Layout.Bands[0].Columns[44]);
        }
    }
}
